LibreOffice: XMLSignatureTemplate Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

List of all members
XMLSignatureTemplate Service Reference

Service of XMLSignatureTemplate. More...

`import"XMLSignatureTemplate.idl";`

Inheritance diagram for XMLSignatureTemplate:

## Additional Inherited Members
Public Member Functions inherited from XXMLSignatureTemplate
sequence< com::sun::star::xml::wrapper::XXMLElementWrapper > | getTargets ()
| Get the target XML element, i.e. More...
void | setBinding ([in] com::sun::star::xml::crypto::XUriBinding aUriBinding) raises ( com::sun::star::lang::IllegalArgumentException )
| Set the dynamic URI binding. More...
com::sun::star::xml::crypto::XUriBinding | getBinding ()
| Get the dynamic URI binding. More...
Public Member Functions inherited from XXMLSecurityTemplate
void | setTemplate ([in] com::sun::star::xml::wrapper::XXMLElementWrapper aXmlElement) raises ( com::sun::star::lang::IllegalArgumentException )
| Load a XML signature template from XML signature element. More...
com::sun::star::xml::wrapper::XXMLElementWrapper | getTemplate ()
| Get the XML signature element that represents the signature template. More...
void | setTarget ([in] com::sun::star::xml::wrapper::XXMLElementWrapper aXmlElement) raises ( com::sun::star::lang::IllegalArgumentException )
| Load the target XML element, i.e. More...
void | setStatus ([in] SecurityOperationStatus status) raises ( com::sun::star::lang::IllegalArgumentException )
| Set the template status. More...
SecurityOperationStatus | getStatus ()
| Get the template status. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service of XMLSignatureTemplate.

The documentation for this service was generated from the following file:

- com/sun/star/xml/crypto/XMLSignatureTemplate.idl